aboutsummaryrefslogtreecommitdiffstats
path: root/asn1c/tests/check-assembly.sh
diff options
context:
space:
mode:
authorLev Walkin <vlm@lionet.info>2004-10-20 15:40:04 +0000
committerLev Walkin <vlm@lionet.info>2004-10-20 15:40:04 +0000
commita460ba3f017126dc2c02fb639b6b0ecb00bf1be5 (patch)
tree8fbc7e15e200555288cca5b2c276fda8e6414e2e /asn1c/tests/check-assembly.sh
parentcc11653d60dcb8424fd78ae94583e5b09c129648 (diff)
things necessary for Sun Solaris 9 @ sparc
Diffstat (limited to 'asn1c/tests/check-assembly.sh')
-rwxr-xr-xasn1c/tests/check-assembly.sh11
1 files changed, 7 insertions, 4 deletions
diff --git a/asn1c/tests/check-assembly.sh b/asn1c/tests/check-assembly.sh
index 43ce0012..2edc8f4f 100755
--- a/asn1c/tests/check-assembly.sh
+++ b/asn1c/tests/check-assembly.sh
@@ -11,10 +11,10 @@ if [ "x$1" = "x" ]; then
fi
# Compute the .asn1 spec name by the given file name.
-source=$(echo "$1" | sed -e 's/.*\///')
+source=`echo "$1" | sed -e 's/.*\///'`
testno=`echo "$source" | cut -f2 -d'-' | cut -f1 -d'.'`
-args=$(echo "$source" | sed -e 's/\.c[c]*$//')
+args=`echo "$source" | sed -e 's/\.c[c]*$//'`
testdir=test-${args}
OFS=$IFS
@@ -30,9 +30,10 @@ if [ ! -d $testdir ]; then
mkdir $testdir || exit $?
fi
cd $testdir || exit $?
-ln -fs ../$source || exit $?
+rm -f ./$source 2>/dev/null
+ln -fns ../$source || exit $?
-asn_module=$(echo ../../../tests/${testno}-*.asn1)
+asn_module=`echo ../../../tests/${testno}-*.asn1`
# Create a Makefile for the project.
cat > Makefile <<EOM
@@ -42,6 +43,8 @@ COMMON_FLAGS= -I. -DEMIT_ASN_DEBUG
CFLAGS=\${COMMON_FLAGS} ${CFLAGS}
CXXFLAGS=\${COMMON_FLAGS} ${CXXFLAGS}
+CC=${CC}
+
all: check-executable
check-executable: compiled-module *.c*
@rm -f *.core